Upgrade to 6.0 beta 2.

Adds i18n, mouse gestures, and innumerable other improvements.
This commit is contained in:
naddy 2002-04-23 15:44:43 +00:00
parent d261585dc2
commit 8e276b4c3d
8 changed files with 384 additions and 60 deletions

View File

@ -1,13 +1,13 @@
# $OpenBSD: Makefile,v 1.7 2002/02/27 18:43:34 naddy Exp $
# $OpenBSD: Makefile,v 1.8 2002/04/23 15:44:43 naddy Exp $
ONLY_FOR_ARCHS= i386
COMMENT= "fast and customizable WWW browser"
PKGNAME= opera-5.05tp1p2
DISTNAME= opera-5.05_tp1-static_qt-libnpp-0.1.1
PKGNAME= opera-6.0b2
DISTNAME= opera-6.0-20020412.1-static-qt.i386
CATEGORIES= www
NEED_VERSION= 1.496
NEED_VERSION= 1.522
HOMEPAGE= http://www.opera.com/
MAINTAINER= Christian Weisgerber <naddy@openbsd.org>
@ -17,9 +17,9 @@ PERMIT_PACKAGE_FTP= "Commercial software"
PERMIT_DISTFILES_CDROM= "Commercial software"
PERMIT_DISTFILES_FTP= "Commercial software"
MASTER_SITES= ftp://ftp.opera.com/pub/opera/linux/505/ \
http://opera.online.no/linux/tgz/505/
EXTRACT_SUFX= .x86.tar.gz
MASTER_SITES= ftp://ftp.opera.com/pub/opera/linux/600/beta2/ \
http://opera.online.no/linux/600/beta2/
EXTRACT_SUFX= .tar.bz2
RUN_DEPENDS= :redhat_base->=6.2p1:emulators/redhat/base \
::emulators/redhat/motif
@ -27,15 +27,16 @@ RUN_DEPENDS= :redhat_base->=6.2p1:emulators/redhat/base \
NO_BUILD= Yes
NO_REGRESS= Yes
do-configure:
sed -e 's,@PREFIX@,${PREFIX},g' \
-e 's,@LOCALBASE@,${LOCALBASE},g' \
${FILESDIR}/opera.sh >${WRKBUILD}/wrapper.sh
do-install:
cd ${WRKBUILD} && ./install.sh \
--prefix=${PREFIX} \
--exec_prefix=${PREFIX}/libexec \
--docdir=${PREFIX}/share/doc/opera
--exec_prefix=${PREFIX}/libexec
cd ${PREFIX}/share/doc/opera; \
ln -sf ../../opera/help .
${INSTALL_DATA_DIR} ${PREFIX}/share/examples/opera
${INSTALL_DATA} ${FILESDIR}/operarc ${PREFIX}/share/examples/opera
sed -e 's:@PREFIX@:${TRUEPREFIX}:g' \
-e 's:@LOCALBASE@:${LOCALBASE}:g' \
${FILESDIR}/opera.sh >${PREFIX}/bin/opera
.include <bsd.port.mk>

View File

@ -1,3 +1,3 @@
MD5 (opera-5.05_tp1-static_qt-libnpp-0.1.1.x86.tar.gz) = b64ef8bbb7d8378589c2edd0c8b918af
RMD160 (opera-5.05_tp1-static_qt-libnpp-0.1.1.x86.tar.gz) = 5f0c61e1092cca328180e795b3dbd47191a004c5
SHA1 (opera-5.05_tp1-static_qt-libnpp-0.1.1.x86.tar.gz) = 38fc0e124f73b64bf69586a239c55cc680eb1a6b
MD5 (opera-6.0-20020412.1-static-qt.i386.tar.bz2) = b12a5c0e55559e0dbd8781de5f1789d1
RMD160 (opera-6.0-20020412.1-static-qt.i386.tar.bz2) = 16856a42fb209d02866099617ecdf471bdd6b6a1
SHA1 (opera-6.0-20020412.1-static-qt.i386.tar.bz2) = d74ec57469610aa21167e3ad3e993201861cb430

View File

@ -1,6 +1,6 @@
#!/bin/sh
#
# $OpenBSD: opera.sh,v 1.3 2001/09/23 15:16:32 naddy Exp $
# $OpenBSD: opera.sh,v 1.4 2002/04/23 15:44:43 naddy Exp $
PLUGIN_PATH=@PREFIX@/lib/opera/plugins
PLUGIN_PATH=${PLUGIN_PATH}:@LOCALBASE@/lib/ns-plugins
@ -10,4 +10,4 @@ PLUGIN_PATH=${PLUGIN_PATH}:@LOCALBASE@/netscape/plugins
export OPERA_DIR=@PREFIX@/share/opera
export OPERA_PLUGIN_PATH=${OPERA_PLUGIN_PATH-${PLUGIN_PATH}}
exec @PREFIX@/libexec/opera-static "$@"
exec @PREFIX@/libexec/opera "$@"

4
www/opera/files/operarc Normal file
View File

@ -0,0 +1,4 @@
; $OpenBSD: operarc,v 1.5 2002/04/23 15:44:43 naddy Exp $
;
[Performance]
Synchronous DNS Lookup=1

View File

@ -1,15 +1,29 @@
$OpenBSD: patch-install_sh,v 1.2 2001/09/16 17:10:29 naddy Exp $
--- install.sh.orig Fri Aug 10 14:29:05 2001
+++ install.sh Tue Aug 14 22:38:06 2001
@@ -186,14 +186,14 @@ runinstall()
mkdir $v -p $plugin_dir/
chmod $vv 755 $plugin_dir
$OpenBSD: patch-install_sh,v 1.3 2002/04/23 15:44:43 naddy Exp $
--- install.sh.orig Fri Apr 12 14:01:42 2002
+++ install.sh Fri Apr 19 00:13:41 2002
@@ -347,6 +347,9 @@ set_os_spesific()
fi
;;
- cp $v -fdp plugins/* $plugin_dir
+ (cd plugins; pax -r -w -pe * $plugin_dir)
chmod $vv 755 $plugin_dir/operamotifwrapper
- chmod $vv 755 $plugin_dir/libnpp.so.0.1.0
+ chmod $vv 755 $plugin_dir/libnpp.so.0.1.1
+ i386:OpenBSD)
+ ;;
+
i[3456]86:Linux|mips:Linux)
cpf='-f'
if test "$verbose" -gt "1"; then
@@ -731,6 +734,9 @@ generate_wrapper()
wrapper_plugin_paths=''
;;
+ i386:OpenBSD)
+ ;;
+
*:*)
error 'os'
;;
@@ -906,10 +912,10 @@ run_install()
ln $lns $lnf libnpp.so.$plugin_version_major.$plugin_version_minor.$plugin_version_release $plugin_dir/libnpp.so.$plugin_version_major
ln $lns $lnf libnpp.so.$plugin_version_major.$plugin_version_minor.$plugin_version_release $plugin_dir/libnpp.so
- icons
- gnome

51
www/opera/pkg/DEINSTALL Normal file
View File

@ -0,0 +1,51 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.5 2002/04/23 15:44:43 naddy Exp $
#
# De-installation setup of Opera
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=/etc/opera6rc # hardcoded to /etc
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

68
www/opera/pkg/INSTALL Normal file
View File

@ -0,0 +1,68 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.5 2002/04/23 15:44:43 naddy Exp $
#
# Pre/post-installation setup of Opera
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=/etc/opera6rc # hardcoded to /etc
SAMPLE_CONFIG_DIR=$PREFIX/share/examples/opera
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample files in ${SAMPLE_CONFIG_DIR}"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
install -o root -g wheel ${SAMPLE_CONFIG_DIR}/operarc ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file, ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs"
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,12 +1,14 @@
@comment $OpenBSD: PLIST,v 1.6 2002/02/27 18:43:34 naddy Exp $
@comment $OpenBSD: PLIST,v 1.7 2002/04/23 15:44:43 naddy Exp $
bin/opera
lib/opera/plugins/libnpp.so
lib/opera/plugins/libnpp.so.0
lib/opera/plugins/libnpp.so.0.1
lib/opera/plugins/libnpp.so.0.1.1
lib/opera/plugins/libnpp.so.0.1.8
lib/opera/plugins/operamotifwrapper
libexec/opera-static
libexec/opera
share/doc/opera/LICENSE
share/doc/opera/help
share/examples/opera/operarc
share/opera/buttons/DefSmall
share/opera/buttons/Default
share/opera/buttons/ReadMe.txt
@ -39,6 +41,7 @@ share/opera/buttons/default/hisecu.gif
share/opera/buttons/default/home.gif
share/opera/buttons/default/hotlist.gif
share/opera/buttons/default/hotlstto.gif
share/opera/buttons/default/html.gif
share/opera/buttons/default/im.gif
share/opera/buttons/default/incl.gif
share/opera/buttons/default/keyb.gif
@ -150,40 +153,215 @@ share/opera/buttons/examples/example_big.ini
share/opera/buttons/examples/example_small.ini
share/opera/buttons/examples/opera_22x22.png
share/opera/buttons/examples/opera_32x32.png
share/opera/help/access.htm
share/opera/help/alpha.htm
share/opera/help/bookmark.htm
share/opera/help/contact.htm
share/opera/help/dialogs.htm
share/opera/help/features.htm
share/opera/help/helphelp.htm
share/opera/help/index.htm
share/opera/help/keyboard.htm
share/opera/help/link_up.gif
share/opera/help/menus.htm
share/opera/help/opera5.css
share/opera/help/prefmenu.htm
share/opera/help/reg_form.txt
share/opera/help/security.htm
share/opera/help/starter.htm
share/opera/help/terms.htm
share/opera/help/trouble.htm
share/opera/buttons/standard/addressbar_high_security.png
share/opera/buttons/standard/addressbar_html.png
share/opera/buttons/standard/addressbar_html_alt2.png
share/opera/buttons/standard/addressbar_html_alt3.png
share/opera/buttons/standard/addressbar_html_alt4.png
share/opera/buttons/standard/addressbar_load_images.png
share/opera/buttons/standard/addressbar_low_security.png
share/opera/buttons/standard/addressbar_medium_security.png
share/opera/buttons/standard/addressbar_no_images.png
share/opera/buttons/standard/addressbar_no_security.png
share/opera/buttons/standard/addressbar_print_pv.png
share/opera/buttons/standard/addressbar_show_images.png
share/opera/buttons/standard/buttons.ini
share/opera/buttons/standard/general_delete.png
share/opera/buttons/standard/general_move_to.png
share/opera/buttons/standard/general_new_folder.png
share/opera/buttons/standard/general_next.png
share/opera/buttons/standard/general_previous.png
share/opera/buttons/standard/general_save.png
share/opera/buttons/standard/general_stop.png
share/opera/buttons/standard/general_view.png
share/opera/buttons/standard/hotlist_new_bookmark.png
share/opera/buttons/standard/hotlist_new_contact.png
share/opera/buttons/standard/icons/bookmark_unvisited.png
share/opera/buttons/standard/icons/bookmark_visited.png
share/opera/buttons/standard/icons/boy01.png
share/opera/buttons/standard/icons/boy02.png
share/opera/buttons/standard/icons/boy03.png
share/opera/buttons/standard/icons/boy04.png
share/opera/buttons/standard/icons/boy05.png
share/opera/buttons/standard/icons/boy06.png
share/opera/buttons/standard/icons/boy07.png
share/opera/buttons/standard/icons/boy08.png
share/opera/buttons/standard/icons/boy09.png
share/opera/buttons/standard/icons/boy10.png
share/opera/buttons/standard/icons/boy11.png
share/opera/buttons/standard/icons/boy13.png
share/opera/buttons/standard/icons/boy14.png
share/opera/buttons/standard/icons/boy15.png
share/opera/buttons/standard/icons/boy16.png
share/opera/buttons/standard/icons/close.png
share/opera/buttons/standard/icons/dropdown.png
share/opera/buttons/standard/icons/folder_closed.png
share/opera/buttons/standard/icons/folder_find_results.png
share/opera/buttons/standard/icons/folder_open.png
share/opera/buttons/standard/icons/folder_parent.png
share/opera/buttons/standard/icons/folder_personalbar.png
share/opera/buttons/standard/icons/girl01.png
share/opera/buttons/standard/icons/girl02.png
share/opera/buttons/standard/icons/girl03.png
share/opera/buttons/standard/icons/girl04.png
share/opera/buttons/standard/icons/girl05.png
share/opera/buttons/standard/icons/girl06.png
share/opera/buttons/standard/icons/girl07.png
share/opera/buttons/standard/icons/girl08.png
share/opera/buttons/standard/icons/girl09.png
share/opera/buttons/standard/icons/girl10.png
share/opera/buttons/standard/icons/girl11.png
share/opera/buttons/standard/icons/girl12.png
share/opera/buttons/standard/icons/girl13.png
share/opera/buttons/standard/icons/girl14.png
share/opera/buttons/standard/icons/girl15.png
share/opera/buttons/standard/icons/girl16.png
share/opera/buttons/standard/icons/news_read.png
share/opera/buttons/standard/icons/news_subscribed.png
share/opera/buttons/standard/icons/news_unread.png
share/opera/buttons/standard/icons/news_unsubscribed.png
share/opera/buttons/standard/icons/special01.png
share/opera/buttons/standard/icons/special02.png
share/opera/buttons/standard/icons/special03.png
share/opera/buttons/standard/icons/special04.png
share/opera/buttons/standard/icons/special05.png
share/opera/buttons/standard/icons/status_away.png
share/opera/buttons/standard/icons/status_no_messaging.png
share/opera/buttons/standard/icons/status_not_available.png
share/opera/buttons/standard/icons/status_offline.png
share/opera/buttons/standard/icons/status_online.png
share/opera/buttons/standard/icons/status_requesting.png
share/opera/buttons/standard/icons/transfer_failure.png
share/opera/buttons/standard/icons/transfer_loading.png
share/opera/buttons/standard/icons/transfer_loading_waiting.png
share/opera/buttons/standard/icons/transfer_size_mismatch.png
share/opera/buttons/standard/icons/transfer_stopped.png
share/opera/buttons/standard/mail_add_attachment.png
share/opera/buttons/standard/mail_check.png
share/opera/buttons/standard/mail_compose.png
share/opera/buttons/standard/mail_redirect.png
share/opera/buttons/standard/mail_reply.png
share/opera/buttons/standard/mail_reply_all.png
share/opera/buttons/standard/mail_send.png
share/opera/buttons/standard/mail_send_all.png
share/opera/buttons/standard/main_active_bookmark_folder.png
share/opera/buttons/standard/main_back.png
share/opera/buttons/standard/main_cascade.png
share/opera/buttons/standard/main_find.png
share/opera/buttons/standard/main_forward.png
share/opera/buttons/standard/main_full_screen.png
share/opera/buttons/standard/main_home.png
share/opera/buttons/standard/main_hotlist.png
share/opera/buttons/standard/main_new.png
share/opera/buttons/standard/main_open.png
share/opera/buttons/standard/main_print.png
share/opera/buttons/standard/main_reload.png
share/opera/buttons/standard/main_save.png
share/opera/buttons/standard/main_stop.png
share/opera/buttons/standard/main_tile.png
share/opera/buttons/standard/news_catch_up.png
share/opera/buttons/standard/personalbar_bookmark.png
share/opera/buttons/standard/progress_empty.png
share/opera/buttons/standard/progress_full.png
share/opera/buttons/standard/search_music.png
share/opera/buttons/standard/search_shopping.png
share/opera/buttons/standard/search_stock.png
share/opera/buttons/standard/search_web.png
share/opera/buttons/standard/skin/drop_target_bottom.png
share/opera/buttons/standard/skin/drop_target_left.png
share/opera/buttons/standard/skin/drop_target_right.png
share/opera/buttons/standard/skin/drop_target_top.png
share/opera/buttons/standard/skin/pagebar_active_corner_bottomleft.png
share/opera/buttons/standard/skin/pagebar_active_corner_bottomright.png
share/opera/buttons/standard/skin/pagebar_active_corner_topleft.png
share/opera/buttons/standard/skin/pagebar_active_corner_topright.png
share/opera/buttons/standard/skin/pagebar_active_tile_bottom.png
share/opera/buttons/standard/skin/pagebar_active_tile_center.png
share/opera/buttons/standard/skin/pagebar_active_tile_left.png
share/opera/buttons/standard/skin/pagebar_active_tile_right.png
share/opera/buttons/standard/skin/pagebar_active_tile_top.png
share/opera/buttons/standard/skin/pagebar_border_tile_bottom.png
share/opera/buttons/standard/skin/pagebar_border_tile_left.png
share/opera/buttons/standard/skin/pagebar_border_tile_right.png
share/opera/buttons/standard/skin/pagebar_border_tile_top.png
share/opera/buttons/standard/skin/pagebar_inactive_corner_bottomleft.png
share/opera/buttons/standard/skin/pagebar_inactive_corner_bottomright.png
share/opera/buttons/standard/skin/pagebar_inactive_corner_topleft.png
share/opera/buttons/standard/skin/pagebar_inactive_corner_topright.png
share/opera/buttons/standard/skin/pagebar_inactive_tile_bottom.png
share/opera/buttons/standard/skin/pagebar_inactive_tile_center.png
share/opera/buttons/standard/skin/pagebar_inactive_tile_left.png
share/opera/buttons/standard/skin/pagebar_inactive_tile_right.png
share/opera/buttons/standard/skin/pagebar_inactive_tile_top.png
share/opera/buttons/standard/special_dropdown.png
share/opera/buttons/standard/transfers_resume.png
share/opera/buttons/standard/transfers_retransfer.png
share/opera/buttons/standard/windowbar_doc_complete.png
share/opera/buttons/standard/windowbar_doc_complete_unread.png
share/opera/buttons/standard/windowbar_doc_incomplete.png
share/opera/buttons/standard/windowbar_hotlist.png
share/opera/buttons/standard/windowbar_mail_box.png
share/opera/buttons/standard/windowbar_mail_search.png
share/opera/buttons/standard/windowbar_messaging_new.png
share/opera/buttons/standard/windowbar_messaging_normal.png
share/opera/buttons/standard/windowbar_news_article.png
share/opera/buttons/standard/windowbar_news_group.png
share/opera/buttons/standard/windowbar_news_group_list.png
share/opera/buttons/standard/windowbar_transfers.png
share/opera/buttons/standard/windowbar_unknown.png
share/opera/chartables.bin
share/opera/config/opera6rc
share/opera/config/opera6rc.fixed
share/opera/help/accessibility.html
share/opera/help/advertising.html
share/opera/help/dialogs.html
share/opera/help/filetypes.html
share/opera/help/fonts.html
share/opera/help/help.css
share/opera/help/history.html
share/opera/help/index.html
share/opera/help/interface.html
share/opera/help/keyboard.html
share/opera/help/languages.html
share/opera/help/layout.html
share/opera/help/license.txt
share/opera/help/look.html
share/opera/help/menus.html
share/opera/help/mouse.html
share/opera/help/multimedia.html
share/opera/help/network.html
share/opera/help/opera.html
share/opera/help/page.html
share/opera/help/paths.html
share/opera/help/personal.html
share/opera/help/plugins.html
share/opera/help/privacy.html
share/opera/help/search.html
share/opera/help/security.html
share/opera/help/sounds.html
share/opera/help/start.html
share/opera/help/startup.txt
share/opera/help/tipday.txt
share/opera/help/windows.html
share/opera/images/background.gif
share/opera/images/blank.gif
share/opera/images/drive.gif
share/opera/images/file.gif
share/opera/images/folder.gif
share/opera/images/link.gif
share/opera/images/opera.xpm
share/opera/images/opera_16x16.png
share/opera/images/opera_22x22.png
share/opera/images/opera_32x32.png
share/opera/images/opera_48x48.png
share/opera/images/operabanner.png
share/opera/opera.adr
share/opera/opera.desktop
share/opera/opera.wmconfig
share/opera/opera.xpm
share/opera/opera_16x16.png
share/opera/opera_22x22.png
share/opera/opera_32x32.png
share/opera/opera_48x48.png
share/opera/styles/OPF.CSS
share/opera/images/shared.gif
share/opera/images/splash.png
share/opera/images/startup1.png
share/opera/images/startup2.png
share/opera/opera6.adr
share/opera/skin/foreground.png
share/opera/styles/OPF.css
share/opera/styles/about.css
share/opera/styles/cache.css
share/opera/styles/csr.css
@ -194,16 +372,24 @@ share/opera/styles/history.css
share/opera/styles/im.css
share/opera/styles/mime.css
share/opera/styles/mimehead.css
share/opera/styles/opf.css
share/opera/styles/plugins.css
share/opera/styles/wml.css
share/opera/unicode.dat
@dirrm share/opera/styles
@dirrm share/opera/skin
@dirrm share/opera/images
@dirrm share/opera/help
@dirrm share/opera/config
@dirrm share/opera/buttons/standard/skin
@dirrm share/opera/buttons/standard/icons
@dirrm share/opera/buttons/standard
@dirrm share/opera/buttons/examples
@dirrm share/opera/buttons/defsmall
@dirrm share/opera/buttons/default
@dirrm share/opera/buttons
@dirrm share/opera
@dirrm share/examples/opera
@dirrm share/doc/opera
@dirrm lib/opera/plugins
@dirrm lib/opera